/*****************ͷļ*************************/
#include "fsl_common.h"
#include "fsl_port.h"
#include "fsl_gpio.h"
#include "pin_Init.h"
#include "fsl_uart.h"

/*****************ųʼ*************************/
void pin_Init()
{
    /*ADCָʾ*/
    CLOCK_EnableClock(kCLOCK_PortA);    //PORTAʱ
    port_pin_config_t GPIO_Port_Init = 
    {
        kPORT_PullUp ,    //
        kPORT_FastSlewRate,   //ѹ
        kPORT_PassiveFilterDisable,   //Դ˲
        kPORT_OpenDrainDisable,   //
        kPORT_HighDriveStrength,   //
        kPORT_MuxAsGpio,  //ͨGPIOģʽ
        kPORT_UnlockRegister, //
    };
    PORT_SetPinConfig(PORTA, 15U, &GPIO_Port_Init); //PTA15Ÿ÷ʽ
    PORT_SetPinConfig(PORTA, 16U, &GPIO_Port_Init); //PTA16Ÿ÷ʽ
    gpio_pin_config_t config =
    {
        kGPIO_DigitalOutput,    //ģʽ
        0,
    };
    GPIO_PinInit(GPIOA, 15U, &config);  //ʼPTA15
    GPIO_PinInit(GPIOA, 16U, &config);  //ʼPTA16
    GPIO_PinWrite(GPIOA, 15, 1);    //PTA15д1
    
    /*PTE3*/
    CLOCK_EnableClock(kCLOCK_PortE);    //PORTʱ
    PORT_SetPinConfig(PORTE, 3U, &GPIO_Port_Init); //Ÿ÷ʽ
    GPIO_PinInit(GPIOE, 3U, &config);  //ʼPTE3
    
    /*ADCɼѹPTD4*/
    CLOCK_EnableClock(kCLOCK_PortD);    //PORTʱ
    PORT_SetPinConfig(PORTD, 4U, &GPIO_Port_Init); //Ÿ÷ʽ
    gpio_pin_config_t config1 =
    {
        kGPIO_DigitalInput,    //ģʽ
    };
    GPIO_PinInit(GPIOD, 4U, &config1);  //ʼPTD4
}

/*****************UART1ųʼ*************************/
void UART1_InitPins(void)
{
    PORT_SetPinMux(PORTE, 0U, kPORT_MuxAlt3);  //PTE0ΪUART1_TX
    PORT_SetPinMux(PORTE, 1U, kPORT_MuxAlt3);  //PTE1ΪUART1_RX
    SIM->SOPT5 = ((SIM->SOPT5 &
                   /* UART1շԴѡ*/
                   (~(SIM_SOPT5_UART1TXSRC_MASK | SIM_SOPT5_UART1RXSRC_MASK)))
                  | SIM_SOPT5_UART1TXSRC(SOPT5_UART1TXSRC_UART_TX)
                  | SIM_SOPT5_UART1RXSRC(SOPT5_UART1RXSRC_UART_RX));
}

/*****************UART2ųʼ*************************/
void UART2_InitPins(void)
{
    PORT_SetPinMux(PORTE, 16U, kPORT_MuxAlt3);  //PTE16ΪUART2_TX
    PORT_SetPinMux(PORTE, 17U, kPORT_MuxAlt3);  //PTE17ΪUART2_RX
}





